> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vlm.run/llms.txt
> Use this file to discover all available pages before exploring further.

# List models

> Get the list of supported models.

Get a list of schemas currently supported by the API.
These are available for use with the `generate` endpoint.

<RequestExample>
  ```python Python theme={"theme":{"light":"github-light","dark":"dark-plus"}}
  !pip install vlmrun

  from vlmrun.client import VLMRun

  client = VLMRun(api_key="<VLMRUN_API_KEY>")
  response = client.models.list()
  ```

  ```typescript Node.js SDK theme={"theme":{"light":"github-light","dark":"dark-plus"}}
  import { VlmRun } from "vlmrun";

  const client = new VlmRun({ apiKey: "<VLMRUN_API_KEY>" });
  const response = await client.models.list();
  console.log(response);
  ```
</RequestExample>


## OpenAPI

````yaml GET /v1/models
openapi: 3.1.0
info:
  title: VLM Run Unified Server
  description: Unified server for VLM Run Agent and API
  termsOfService: https://vlm.run/terms-of-service
  contact:
    name: VLM Run Support Team
    url: https://vlm.run/
    email: support@vlm.run
  version: 2026-05-19.0
servers: []
security: []
paths:
  /v1/models:
    get:
      summary: Get Models
      description: Get the list of supported models.
      operationId: get_models_v1_models_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ModelInfo'
                type: array
                title: Response Get Models V1 Models Get
      security:
        - HTTPBearer: []
components:
  schemas:
    ModelInfo:
      properties:
        domain:
          type: string
          title: Domain
          description: The domain to get the info for.
        model:
          anyOf:
            - type: string
              enum:
                - vlm-1
                - vlm-1:auto
                - vlm-1:fast
                - vlm-1:pro
            - type: string
          title: Model
          description: The model identifier.
          default: vlm-1
      type: object
      required:
        - domain
      title: ModelInfo
      description: 'Response model for the model info: /v1/models'
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````